Bug 844299 - Review Request: gmetrics - Groovy library that provides reports and metrics for Groovy code
Review Request: gmetrics - Groovy library that provides reports and metrics f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 844314
  Show dependency treegraph
 
Reported: 2012-07-30 05:03 EDT by gil cattaneo
Modified: 2012-09-07 08:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 21:25:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-07-30 05:03:55 EDT
Spec URL: http://gil.fedorapeople.org/gmetrics.spec
SRPM URL: http://gil.fedorapeople.org/gmetrics-0.5-1.fc16.src.rpm
Description: GMetrics provides calculation and reporting of size and
complexity metrics for Groovy source code, by scanning the
code with an Ant Task, applying a set of metrics, and
generating an HTML or XML report of the results.
Fedora Account System Username: gil
Comment 1 Marek Goldmann 2012-08-06 06:15:45 EDT
I'm taking this for review. I'll skip gmaven support.
Comment 2 Marek Goldmann 2012-08-06 06:58:23 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
gmetrics.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/gmetrics-0.5/CHANGELOG.txt
gmetrics.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/gmetrics-0.5/NOTICE.txt
gmetrics.noarch: W: spurious-executable-perm /usr/share/doc/gmetrics-0.5/README.txt
gmetrics.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/gmetrics-0.5/README.txt
gmetrics.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/gmetrics-0.5/LICENSE.txt
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

See issue #1.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 04e2cc820ee60ac731f8d9419eaf4663
MD5SUM upstream package: 04e2cc820ee60ac731f8d9419eaf4663
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[!]  Javadoc documentation files are generated and included in -javadoc subpackage
[!]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)

See issue #2.

[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[-]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[-]  If possible use upstream build method (maven/ant/javac)

We don't have gmaven, OK.

[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4362916

=== Issues ===
1. Please fix the permissions and encoding issues on *.txt files.
2. Please generate javadocs.
3. Please change with_gmaven to 0.
Comment 3 gil cattaneo 2012-08-06 07:36:23 EDT
Spec URL: http://gil.fedorapeople.org/gmetrics/1/gmetrics.spec
SRPM URL: http://gil.fedorapeople.org/gmetrics/1/gmetrics-0.5-2.fc16.src.rpm
- fixed the permissions and encoding issues on *.txt files
- change with_gmaven to 0 (only for now)
- generate javadocs with ant support
Comment 4 Marek Goldmann 2012-08-06 07:37:03 EDT
Please also install the jar into %{name}.jar  instead GMetrics.jar. Remove the symlink, it's not necessary.
Comment 5 Marek Goldmann 2012-08-06 08:47:02 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=4363060

Looks good now, thanks!

APPROVED
Comment 6 gil cattaneo 2012-08-06 09:52:58 EDT
New Package SCM Request
=======================
Package Name: gmetrics
Short Description: Groovy library that provides reports and metrics for Groovy code
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2012-08-06 10:16:54 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-08-06 10:53:49 EDT
gmetrics-0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gmetrics-0.5-2.fc17
Comment 9 Fedora Update System 2012-08-09 19:18:15 EDT
gmetrics-0.5-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-08-17 21:25:58 EDT
gmetrics-0.5-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.